<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<meta http-equiv="Content-Language" content="nl">
<TITLE>Site@School migration tool</TITLE>
<META http-equiv=Content-Type content="text/html; charset=windows-1252">
<STYLE>A:link {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #638ab9; TEXT-DECORATION: none
}
A:active {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #638ab9; TEXT-DECORATION: none
}
A:visited {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #638ab9; TEXT-DECORATION: none
}
A:hover {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #ff0000; TEXT-DECORATION: none
}
TEXTAREA {
	COLOR: #000000; FONT-FAMILY: verdana, arial; BACKGROUND-COLOR: #ccdaec
}
Input.BUTTON {
	border:1px outset #ccdaec; BACKGROUND-COLOR: #ccdaec
}
SELECT {
	BORDER-RIGHT: #ccdaec 1px inset; BORDER-TOP: #ccdaec 1px inset; BORDER-LEFT: #ccdaec 1px inset; COLOR: #000000; BORDER-BOTTOM: #ccdaec 1px inset; FONT-FAMILY: verdana, arial; BACKGROUND-COLOR: #ccdaec
}
.text {
	FONT-SIZE: 10pt; FONT-FAMILY: Verdana, Arial
}
.link {
	FONT-WEIGHT: bold; FONT-SIZE: 10pt; COLOR: #638ab9; FONT-FAMILY: Verdana, Arial
}
.heading {
	FONT-WEIGHT: bold; FONT-SIZE: 13pt; COLOR: #638ab9; FONT-FAMILY: Verdana, Arial
}


INPUT.textfield {
	BORDER-RIGHT: #ccdaec 1px inset; BORDER-TOP: #ccdaec 1px inset; BORDER-LEFT: #ccdaec 1px inset; BORDER-BOTTOM: #ccdaec 1px inset; BACKGROUND-COLOR: #ccdaec
}
</STYLE>


</HEAD>
<BODY style="FONT-SIZE: 10pt; FONT-FAMILY: Verdana, Arial, Helvetica" bottomMargin=0 vLink=#000000 aLink=#466c9b link=#000000 bgColor=#ffffff leftMargin=0 topMargin=0 rightMargin=0>


<TABLE style="BORDER-COLLAPSE: collapse" borderColor=#111111 height=45
cellSpacing=0 cellPadding=0 width="100%"
background=../graphics/banner-bg.gif border=0>
  <TBODY>
  <TR>
    <TD align=left width="5%"><IMG height=45
      src="../graphics/banner-left.gif" width=4 border=0></TD>
    <TD align=right width="70%">
    <b><font size="6" color="#FFFFFF">Migration of 1.2.1 to 2.0</font></b></TD>
    <TD align=right width="3%"><IMG height=45
      src="../graphics/banner-right.gif" width=3
border=0></TD></TR></TBODY></TABLE>
<TABLE id=AutoNumber3 style="BORDER-COLLAPSE: collapse" borderColor=#111111
cellSpacing=0 cellPadding=0 width="100%" border=0>
  <TBODY>
  <TR>
    <TD vAlign=top>
      <TABLE cellPadding=5 width="100%" border=0>
        <TBODY>
        <TR>
          <TD>
<?php
if($_GET[step] == "")
{
?>
          <form method="POST" action="migrate1.2.1_2.0.php?step=1">
            <TABLE style="BORDER-COLLAPSE: collapse" borderColor=#111111
            cellSpacing=0 cellPadding=4 width="100%" border=0>
              <TBODY>
              <TR>
                <TD align=center width="25%">&nbsp;
                </TD>
                <TD vAlign=top align=left width="65%">
                <SPAN class=heading>Welcome<BR></SPAN></TD>
                <TD vAlign=top align=middle width="10%">&nbsp;</TD>
              </TR>
              <TR>
                <TD align=center width="25%">
                <img border="0" src="../graphics/install_banner.jpg"></TD>
                <TD vAlign=top align=middle width="65%">
                <table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" id="AutoNumber4" bgcolor="#F7F7F7">
                  <tr>
                    <td width="100%" valign="top"><span class=text>
                    <br><br><br>This wizard will perform the migration of version 1.2.1 to 2.0 .<br><br>
                     Before you continue , please make sure you have made a <b>backup</b> of you MYSQL database.<br>
                     This can be done with <a href="http://phpmyadmin.sourceforge.net/">PHPMYADMIN</a> or a simular tool.
                    </span></td>
                  </tr>
                </table>
                </TD>
                <TD vAlign=top align=middle width="10%"></TD></TR>
              <TR>
                <TD align=center width="25%">&nbsp;
                </TD>
                <TD vAlign=top align=right width="65%">

                 <p>
                  <input type="submit" value="Continue" name="B1" class="BUTTON">
                  </p>
                </form>
<?php
}
if($_GET[step] == "1")
{
$installdir = $_SERVER["DOCUMENT_ROOT"]."/starnet";
$installdir = str_replace("//","/",$installdir);
?>


          <form method="POST" action="migrate1.2.1_2.0.php?step=2">

            <TABLE style="BORDER-COLLAPSE: collapse" borderColor=#111111
            cellSpacing=0 cellPadding=4 width="100%" border=0>
              <TBODY>
              <TR>
                <TD align=center width="25%">&nbsp;
                </TD>
                <TD vAlign=top align=left width="65%">
                <SPAN class=heading>Step 1<BR></SPAN><span class="text">Database migration.</span></TD>
                <TD vAlign=top align=middle width="10%">&nbsp;</TD>
              </TR>
              <TR>
                <TD align=center width="25%">
                <img border="0" src="../graphics/install_banner.jpg"></TD>
                <TD vAlign=top align=middle width="65%">
                <table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" id="AutoNumber4" bgcolor="#F7F7F7">
                  <tr>
                    <td width="100%" valign="top"><span class=text>
                   <br><br>Tables will be altered during the next step..<br>Click on continue.</td>
                  </tr>
                </table>
                </TD>
                <TD vAlign=top align=middle width="10%"></TD></TR>
              <TR>
                <TD align=center width="25%">&nbsp;
                </TD>
                <TD vAlign=top align=right width="65%">


                 <p>
                  <input type="submit" value="Continue" name="B1" class="BUTTON">
                </form>
<?php
}
if($_GET[step] == "2")
{
?>
            <TABLE style="BORDER-COLLAPSE: collapse" borderColor=#111111
            cellSpacing=0 cellPadding=4 width="100%" border=0>
              <TBODY>
              <TR>
                <TD align=center width="25%">&nbsp;
                </TD>
                <TD vAlign=top align=left width="65%">
                <SPAN class=heading>Step 2<BR></SPAN></TD>
                <TD vAlign=top align=middle width="10%">&nbsp;</TD>
              </TR>
              <TR>
                <TD align=center width="25%">
                <img border="0" src="../graphics/install_banner.jpg"></TD>
                <TD vAlign=top align=middle width="65%">
                <table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" id="AutoNumber4" bgcolor="#F7F7F7">
                  <tr>
                  <td width="100%" valign="top"><span class=text>

<?php
echo "start migration .....<br><br>"   ;
include("../configuration/database.inc.php");       
mysql_connect("$db_server", "$db_username", "$db_password");
mysql_select_db("$db_name");

$RecordCount = 0 ;
$query = "SELECT config_value FROM $table_configuration where config_key='send_alerts'" ;        
$result = mysql_query($query) or die_script(mysql_error());
$RecordCount = mysql_num_rows($result);
if($RecordCount == 1) {
  Print "Send Alerts already exists, <br> " ;
  } else {
  mysql_query("INSERT INTO $table_configuration VALUES ('send_alerts', '1', '')");
  if (mysql_errno() != 0)
  {
    echo mysql_errno() . ": " . mysql_error(). "\n";
  } else {
  Print "Alerts send added to configuration!<br>" ;    
  }
}
$RecordCount = 0 ;
$query = "SELECT config_value FROM $table_configuration where config_key='send_alerts_per_section'" ;        
$result = mysql_query($query) or die_script(mysql_error());
$RecordCount = mysql_num_rows($result);
if($RecordCount == 1) {
  Print "Send Alerts per section already exists, <br> " ;
  } else {
mysql_query("INSERT INTO $table_configuration VALUES ('send_alerts_per_section', '1', '')");
  if (mysql_errno() != 0)
  {
   echo mysql_errno() . ": " . mysql_error(). "\n";
  } else {
  Print "Alerts send per section added in configuration!<br>" ;    
  }
  }
$table_alerts = $dbprefix."alerts";
mysql_query("CREATE TABLE $table_alerts (id int(11) NOT NULL auto_increment, email varchar(80) NOT NULL default '', sections varchar(50) NOT NULL default '', name char(40) NOT NULL default '', PRIMARY KEY (id))"); 
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
} else {
Print "Alerts table created.<br>" ;
}

$table_prot_pages = $dbprefix."prot_pages";
$table_prot_sections = $dbprefix."prot_sections";

mysql_query("ALTER TABLE $table_pages MODIFY category varchar(20) NOT NULL");
mysql_query("CREATE TABLE $table_prot_pages (id int(11) NOT NULL auto_increment, section varchar(10) NOT NULL default '', name varchar(80) NOT NULL default '', invisible varchar(10) NOT NULL default '', content text NOT NULL, module varchar(80) NOT NULL default '', sort TINYINT(4) NOT NULL default '0', count int(11), createdate date, lastvisitdate date, category char(20) NOT NULL, lastupdate DATE, PRIMARY KEY (id))");
mysql_query("CREATE TABLE $table_prot_sections (id int(11) NOT NULL auto_increment, name varchar(80) NOT NULL default '', invisible varchar(20) NOT NULL default '', frontpage int(11) NOT NULL default '0', parent varchar(120) NOT NULL default '', sort tinyint(4) NOT NULL default '0', PRIMARY KEY (id,id))");
print "Tables for protected area created!<br>" ;

//Up/download
$downloadstable = $dbprefix . "m_downloads";
$downloadcategorytable = $dbprefix . "m_downloads_cat";
mysql_query("CREATE TABLE $downloadcategorytable (id int(11) NOT NULL auto_increment, title varchar(40) NOT NULL default '', ispage tinyint NOT NULL default '0' , KEY  (id))");
mysql_query("CREATE TABLE $downloadstable (id int(11) NOT NULL auto_increment, description text NOT NULL, category int(11) NOT NULL default '0', creator varchar(80) NOT NULL default '', filename varchar(80) NOT NULL default '', date timestamp(14) NOT NULL, PRIMARY KEY  (id))");
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Up/Download', 'sn_downloads', 'download_cat.php,Download page (categories),download_pag.php,Download page (per page),upload.php,Upload ', 'admin.php', '$downloadstable,$downloadcategorytable ')");
mysql_query("INSERT INTO $table_configuration VALUES ('download_welcome_text', 'Download welcome text, see module configuration', '')");
print "Tables for download module created!<br>" ;

$table_stats = $dbprefix."stats";

mysql_query("CREATE TABLE $table_stats (id int default '0' not null auto_increment, ip varchar(15) not null, received date not null, 
pageid varchar(10) not null, sectionid varchar(10) not null, primary key (id) )");
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
}
mysql_query("INSERT INTO $table_configuration VALUES ('stats_ip_filter', '', '')");
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
} else {
print "Tables for new statistics is created!<br>" ;
}
mysql_query("INSERT INTO $table_configuration VALUES ('protected_theme', 'standard', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('protected_startsection', '1', '')");
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
} else {
print "Theme entry for protected area in configuration created!<br>" ;
}

mysql_query("ALTER TABLE $table_users MODIFY email varchar(80)") ;
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
}

mysql_query("ALTER TABLE $table_teachers MODIFY email varchar(80)") ;
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
}

mysql_query("ALTER TABLE $table_studentpages ADD send_email tinyint") ;
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
}
mysql_query("ALTER TABLE $table_studentpages ADD title varchar(15)") ;
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
}
mysql_query("ALTER TABLE $table_studentpages ADD dir_number int(11)") ;
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
}
mysql_query("UPDATE $table_studentpages SET dir_number = studentid WHERE studentid > 0") ;
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
} else {
print "Migration for pupil pages finished<p>" ;
}

$RecordCount = 0 ;
$query = "SELECT config_value FROM $table_configuration where config_key='email_text'" ;        // getting the email welcome text
$result = mysql_query($query) or die_script(mysql_error());
$RecordCount = mysql_num_rows($result);
if($RecordCount == 1) {
  Print "Welcome text already exists, <br> " ;
  } else {
mysql_query("INSERT INTO $table_configuration VALUES ('email_text', 'Here comes youre welcome text, see mail module configuration.', '')");
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
} else {
Print "Welcome text added in configuration!<br>" ;    
}
  }

unset($query);
unset($result);

$RecordCount = 0 ;
$query = "SELECT config_value FROM $table_configuration where config_key='email_thankyou_text'" ;        // getting the email welcome text
$result = mysql_query($query) or die_script(mysql_error());
$RecordCount = mysql_num_rows($result);
if($RecordCount == 1) {
  Print "Thankyou text already exists!<br> " ;
  } else {
mysql_query("INSERT INTO $table_configuration VALUES ('email_thankyou_text', '<br><br><p align=\"center\"><font size=\"2\"><b>Your message has been send,<br><br>Thank you very much.</b></font></p>', '')");
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
} else {
Print "Thankyou text added in configuration!<br>" ;    
}
  }

$RecordCount = 0 ;
$query = "SELECT config_value FROM $table_configuration where config_key='gbook_welcome_text'" ;        // getting the gbook welcome text
$result = mysql_query($query) or die_script(mysql_error());
$RecordCount = mysql_num_rows($result);
if($RecordCount == 1) {
  Print "Guestbook welcome text already exists!<br> " ;
  } else {
mysql_query("INSERT INTO $table_configuration VALUES ('gbook_welcome_text', '', '')");
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
} else {
Print "Guestbook welcome text added in configuration!<br>" ;    
}
  }

mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Sitemap', 'sn_sitemap', 'view_sitemap.php,Sitemap', 'admin.php', '')");
if (mysql_errno() != 0)
{
  echo mysql_errno() . ": " . mysql_error(). "\n";
} else {
print "Sitemap module has been installed in modules table!.<br>"; 
}

echo "Migration is finished for version 2.0<br>You can now continue normal operation on your site."   ;
?>
<br><br>
<b>The S@S team.</b><br>
</span></td>



                  </tr>
                </table>
                </TD>
                <TD vAlign=top align=middle width="10%"></TD></TR>
              <TR>
                <TD align=center width="25%">&nbsp;
                </TD>
                <TD vAlign=top align=right width="65%">
                  <p>
<?php
}
?>
               </TD>
                <TD vAlign=top align=middle width="10%">&nbsp;</TD></TR>
              </TBODY></TABLE></TD></TR></TBODY></TABLE></TD>
    </TR></TBODY></TABLE></BODY></HTML>